Bug 1574836 - [DOCS] Configuring for Amazon Web Services is misleading and contains contradictions
Summary: [DOCS] Configuring for Amazon Web Services is misleading and contains contrad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: brice
QA Contact: Gan Huang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 06:39 UTC by Simon Reber
Modified: 2018-05-28 05:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-28 05:19:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Simon Reber 2018-05-04 06:39:40 UTC
Description of problem:

In https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#configuring-aws-permissions we have the following statement.

"One security group, preferably the one linked to the nodes, must have the kubernetes.io/cluster/<name>,Value=<clusterid> tag."

"One security group, preferably the one linked to the nodes, must have the kubernetes.io/cluster/<name>,Value=<clusterid> tag."


Later in the document, in section https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#aws-resources-that-need-tags and https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#aws-tagging-an-existing-cluster we have the following content.

"There are four types of resources that need to be tagged:
 - Instances
 - Security Groups
 - Load Balancers
 - EBS Volumes"

"A cluster uses the value of the kubernetes.io/cluster/<name>,Value=<clusterid> tag to determine which resources belong to the cluster. Therefore, you must tag all resources with the key kubernetes.io/cluster/<name>,Value=<clusterid> and have the same value for that key."

"Tag all instances with kubernetes.io/cluster/<name>,Value=<clusterid> and a value to be used as the cluster ID."

"Tag any security groups with kubernetes.io/cluster/<name>,Value=<clusterid> and the same value used for the instances."

"Tag any load balancers with kubernetes.io/cluster/<name>,Value=<clusterid> and the same value used for the instances."


This is somehow contradictions to the earlier statement and thus misleading.

Version-Release number of selected component (if applicable):

https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html

https://docs.openshift.com/container-platform/3.7/install_config/configuring_aws.html


How reproducible:

Always


Steps to Reproduce:
1. See problem description

Actual results:

We have sort of contradictions in the document that can be misleading and thus should be fixed.

Expected results:

Align https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#configuring-aws-permissions with https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#aws-resources-that-need-tags and https://docs.openshift.com/container-platform/3.9/install_config/configuring_aws.html#aws-tagging-an-existing-cluster so that it works when going through the full document.

Additional info:

Comment 2 brice 2018-05-16 03:42:59 UTC
I've created a PR for this BZ:

https://github.com/openshift/openshift-docs/pull/9295

Simon, I think you're right that it's misleading, but the correct information seems to be there. I've arranged some of the wording into what is hopefully a better way. I'll put this onto QA just in case.

FOR QA:

Gan, I've assigned this to you because of your recent PRs into this section. Can I please verify that the PR is correct. Specifically, I am wondering if "tag _all the relevant_ security groups" and "tag _all the relevant_ load balancers" is correct instead of "tag _all_ the security groups and load balancers". That is the information that was vague.

Please let me know if you have any more questions, or if this should be assigned to someone else to QA.

Comment 3 Gan Huang 2018-05-16 05:42:19 UTC
I can't see any obvious misunderstanding for me. But the changes look good to me.

Comment 4 brice 2018-05-17 01:55:11 UTC
Thanks, Gan. I'll move this to review.

Simon, if you have any more thoughts on this, please let me know.

Comment 5 openshift-github-bot 2018-05-18 04:05:37 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/b913355b41472cd5723d39804cc2df1f1d4fb59d
Merge pull request #9295 from bfallonf/aws_1574836

Bug 1574836 Edited AWS info to be more specific about labeling

Comment 6 brice 2018-05-18 04:17:27 UTC
PR has merged. Moving this to release_pending.


Note You need to log in before you can comment on or make changes to this bug.